{
    num: 560,
    accuracy: 100,
    basePower: 100,
    category: "Physical",
    name: "Flying Press",
    pp: 10,
    flags: { contact: 1, protect: 1, mirror: 1, gravity: 1, distance: 1, nonsky: 1, metronome: 1 },
    onModifyType(move, pokemon) {
        for (const target of pokemon.side.foe.active) {
            const type1 = "Fighting";
            const type2 = "Flying";
            if (this.dex.getEffectiveness(type1, target) < this.dex.getEffectiveness(type2, target)) {
                move.type = "Flying";
            } else if (target.hasType("Ghost") && !pokemon.hasAbility("scrappy") && !pokemon.hasAbility("mindseye") && !target.hasItem("ringtarget")) {
                move.type = "Flying";
            } else if (this.dex.getEffectiveness(type1, target) === this.dex.getEffectiveness(type2, target)) {
                if (pokemon.hasType("Flying") && !pokemon.hasType("Fighting")) {
                    move.type = "Flying";
                }
            }
        }
    },
    onHit(target, source, move) {
        this.add("-message", `Flying Press dealt ${move.type}-type damage!`);
    },
    priority: 0,
    secondary: null,
    target: "any",
    type: "Fighting",
    zMove: { basePower: 170 },
    contestType: "Tough"
}
